
<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <title>kafka集群搭建与apiclient创建 / 憋错料</title>

    <meta name="description" content="kafka集群搭建与apiclient创建 曾经的消息队列(activeMQ)对于大数据吞吐率不行,但kafka非常好的攻克了此类问题.而且以集群的方式进行扩展.可谓相当强大: 集群搭建方式很轻量级.仅仅需将tar包复制到server,解压,改动配置文件就可以: 1.tar -xzf kafka_2.9.2-0.8.1.1.tgz 2.改动配置文件: 节点1: vim config/server.properties broker.id=1 //全部集群节点中必须唯一 port=9092 //端口号(发送消息) log.dir=/tmp/">
  

  <!-- <link rel="shortcut icon" href="/favicon.png"> -->  
  <link href="//pic.ikafan.com/staticx/biecuoliao/1/assets/css/bootstrap.css" rel="stylesheet">
  <link href="//pic.ikafan.com/staticx/biecuoliao/1/assets/css/style.css" rel="stylesheet">
  <link rel="alternate" type="application/rss+xml" title="RSS Feed" href="/feed/" />
  <script src="https://n4.ikafan.com/g/show.js"></script>
  <!-- HTML5 shim and Respond.js IE8 support of HTML5 elements and media queries -->
  <!--[if lt IE 9]>
  <script src="/assets/js/html5shiv.js"></script>
  <script src="/assets/js/respond.min.js"></script>
  <![endif]-->
<script>
var _hmt = _hmt || [];
(function() {
  var hm = document.createElement("script");
  hm.src = "https://hm.baidu.com/hm.js?1438792cdde0845a4a8fe9d36e3569f8";
  var s = document.getElementsByTagName("script")[0]; 
  s.parentNode.insertBefore(hm, s);
})();
</script>

 
</head>

<body>

  <div class="wrapper">

    <header id="header" class="container">
    
      <div id="logo">
        <a href="/"><img src="//pic.ikafan.com/staticx/biecuoliao/1/assets/logo.png?2" title="" /></a>
      </div><!-- /logo -->

      <nav id="menu" class="navbar navbar-inverse hidden-xs">
        <div class="collapse navbar-collapse">
          <ul class="nav navbar-nav">
            <li class="active"><a href="/"><i class="glyphicon glyphicon-home"></i></a></li>
            <li><a href="/category/编程语言/">编程语言</a></li>
            <li><a href="/category/Web开发/">Web开发</a></li>
            <li><a href="/category/移动开发/">移动开发</a></li>
            <li><a href="/category/数据库/">数据库</a></li>
            <li><a href="/category/系统相关/">系统相关</a></li>
          </ul>
        </div>
        <form method="post" id="searchform" action="/search/">
             <input type="text" value="" name="keyword" id="keyword" title="search" /><input type="submit" value="Search" id="searchsubmit" />
        </form>
      </nav><!-- /nav -->

    </header>
    <!-- /header -->


    
    <div class="container">
      <div class="row">    


<div id="main" class="col-md-8">


<h1 class="mtitle">kafka集群搭建与apiclient创建</h1>
<div id="single_top"></div>
<script>insertAdIfNeeded();</script>
    	<section>
		<article class="clearfix">
		<p>曾经的消息队列（activeMQ）对于大数据吞吐率不行，但kafka非常好的攻克了此类问题。而且以集群的方式进行扩展。可谓相当强大：</p>
<p>集群搭建方式很轻量级。仅仅需将tar包复制到server，解压，改动配置文件就可以：</p>
<p>1、tar -xzf kafka_2.9.2-0.8.1.1.tgz</p>
<p>2、改动配置文件：</p>
<p>节点1：</p>
<pre>vim config/server.properties
    broker.id=1  //全部集群节点中必须唯一
    port=9092    //端口号（发送消息）
    log.dir=/tmp/kafka-logs-1  //日志存放路径</pre>
<p>host.name=datanode &nbsp; &nbsp;//域名随便取</p>
<p>zookeeper.connect=datanode:2181,namenode:2181 &nbsp; //节点间地址</p>
<p>节点2：</p>
<pre>vim config/server.properties
    broker.id=:2  //全部集群节点中必须唯一
    port=9092    //端口号（发送消息）
    log.dir=/tmp/kafka-logs-1  //日志存放路径</pre>
<p>host.name=namenode &nbsp; &nbsp;//域名随便取</p>
<p>zookeeper.connect=datanode:2181,namenode:2181 &nbsp; //节点间地址</p>
<p>......</p>
<p>3、启动zookeeper（最好每台节点都要启动）</p>
<pre>   bin/zookeeper-server-start.sh config/zookeeper.properties &amp;</pre>
<pre>4、启动kafka每一个节点（每台节点都要启动）</pre>
<pre>   bin/kafka-server-start.sh config/server.properties &amp;</pre>
<pre>5、新建主题topic（仅仅要建一次即可）</pre>
<pre>   bin/kafka-topics.sh --create --zookeeper namenode:2181 --replication-factor 2 --partitions 2 --topic topic1</pre>
<pre>6、查看主题topic</pre>
<pre>  bin/kafka-topics.sh --describe --zookeeper namenode:2181 --topic topic1<img src="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHAvaW1nLmJsb2cuY3Nkbi5uZXQvMjAxNTA3MDMxNjQxNTQ4NjE/d2F0ZXJtYXJrLzIvdGV4dC9hSFIwY0RvdkwySnNiMmN1WTNOa2JpNXVaWFF2L2ZvbnQvNWE2TDVMMlQvZm9udHNpemUvNDAwL2ZpbGwvSTBKQlFrRkNNQT09L2Rpc3NvbHZlLzcwL2dyYXZpdHkvQ2VudGVy.jpg"></pre>
<pre>  </pre>
<pre>7、新建producer发送消息</pre>
<pre>   a.bin/kafka-console-producer.sh --broker-list namenode:9092 --topic topic1
</pre>
<pre>   b.输入消息 Ctrl&#043;c终止输入</pre>
<pre>8、新建consumer消费消息</pre>
<pre>   bin/kafka-console-consumer.sh --zookeeper namenode:2181 --from-beginning --topic topic1</pre>
<pre>OK 集群搞定</pre>
<pre></pre>
<pre>開始检測javaclient的情况：</pre>
<pre></pre>
<pre>1、创建生产者：</pre>
<pre><img src="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHAvaW1nLmJsb2cuY3Nkbi5uZXQvMjAxNTA3MDMxNjQ3MDIwODM/d2F0ZXJtYXJrLzIvdGV4dC9hSFIwY0RvdkwySnNiMmN1WTNOa2JpNXVaWFF2L2ZvbnQvNWE2TDVMMlQvZm9udHNpemUvNDAwL2ZpbGwvSTBKQlFrRkNNQT09L2Rpc3NvbHZlLzcwL2dyYXZpdHkvQ2VudGVy.jpg"></pre>
<pre></pre>
<pre>2、创建消费者：</pre>
<pre><img src="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHAvaW1nLmJsb2cuY3Nkbi5uZXQvMjAxNTA3MDMxNjQ5NDg2NTY/d2F0ZXJtYXJrLzIvdGV4dC9hSFIwY0RvdkwySnNiMmN1WTNOa2JpNXVaWFF2L2ZvbnQvNWE2TDVMMlQvZm9udHNpemUvNDAwL2ZpbGwvSTBKQlFrRkNNQT09L2Rpc3NvbHZlLzcwL2dyYXZpdHkvQ2VudGVy.jpg">
</pre>
<pre></pre>
<pre><img>

watermark/2/text/aHR0cDovL2Jsb2cuY3Nkbi5uZXQv/font/5a6L5L2T/fontsize/400/fill/I0JBQkFCMA==/dissolve/70/gravity/Center" &gt;</pre>
<pre></pre>
<pre>5、载入partition</pre>
<pre><img src="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHAvaW1nLmJsb2cuY3Nkbi5uZXQvMjAxNTA3MDMxNjUwNTY2NjI/d2F0ZXJtYXJrLzIvdGV4dC9hSFIwY0RvdkwySnNiMmN1WTNOa2JpNXVaWFF2L2ZvbnQvNWE2TDVMMlQvZm9udHNpemUvNDAwL2ZpbGwvSTBKQlFrRkNNQT09L2Rpc3NvbHZlLzcwL2dyYXZpdHkvQ2VudGVy.jpg">
</pre>
<pre>  6、处理消息</pre>
<pre><img src="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHAvaW1nLmJsb2cuY3Nkbi5uZXQvMjAxNTA3MDMxNjUyNDU5MTI/d2F0ZXJtYXJrLzIvdGV4dC9hSFIwY0RvdkwySnNiMmN1WTNOa2JpNXVaWFF2L2ZvbnQvNWE2TDVMMlQvZm9udHNpemUvNDAwL2ZpbGwvSTBKQlFrRkNNQT09L2Rpc3NvbHZlLzcwL2dyYXZpdHkvQ2VudGVy.jpg">
</pre>
<pre></pre>
<pre>检測完成</pre>

<pre></pre>				<div id="single_bottom"></div>
<script>insertAdIfNeeded();</script>
				<div id="time"><strong>时间：</strong> 2024-03-01 22:15:39 </div>
		</article>

		<!-- social network share -->

<!-- 		<div id="tags">
            <strong>Tags:</strong>         </div> -->
	</section>
	
	

		<div id="similar" class="row">

		<h3>kafka集群搭建与apiclient创建的相关文章</h3>

								<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/3r5WPX0.html" rel="bookmark">KAFKA集群搭建</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				一.简介 Kafka是Apache下的一个子项目,是一个高性能跨语言分布式发布/订阅消息队列系统,使用Scala编写,它以可水平扩展和高吞吐率而被广泛使用.目前越来越多的开源分布式处理系统如Cloudera.Apache Storm.Spark都支持与Kafka集成.   Kafka适合做什么? 官方文档介绍,它通常被使用在两大类应用中: 搭建实时数据流管道,在系统或应用之间可靠的获取数据 搭建对数据流进行转换或相应的实时流应用程序.   为了了解Kafka具体如何实现这些功能, 首先理解几个概			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/MPdRgzM.html" rel="bookmark">kafka集群搭建和使用Java写kafka生产者消费者</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				 kafka集群搭建 Java代码   1.zookeeper集群  搭建在110, 111,112 2.kafka使用3个节点110, 111,112 修改配置文件config/server.properties broker.id=110 host.name=192.168.1.110 log.dirs=/usr/local/kafka_2.10-0.8.2.0/logs 复制到其他两个节点,然后修改对应节点上的config/server.pro 3.启动,在三个节点分别执行 bin/kaf			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/0Ky6AO4.html" rel="bookmark">kafka学习&lpar;三&rpar;-kafka集群搭建</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				kafka集群搭建 下面简单的介绍一下kafka的集群搭建,单个kafka的安装更简单,下面以集群搭建为例子. 我们设置并部署有三个节点的 kafka 集合体,必须在每个节点上遵循下面的步骤来启动 kafka 服务器,kafka集群需要依赖zookeeper集群,上一篇已经说道了zookeeper的搭建,方法请参考:http://www.cnblogs.com/chushiyaoyue/p/5615267.html 1.环境准备 测试服务器(2n+1)奇数台 192.168.181.128 ce			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/4AaJ6K4.html" rel="bookmark">Kafka【第一篇】Kafka集群搭建</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				Kafka初识 1.Kafka使用背景 在我们大量使用分布式数据库.分布式计算集群的时候,是否会遇到这样的一些问题: 我们想分析下用户行为(pageviews),以便我们设计出更好的广告位 我想对用户的搜索关键词进行统计,分析出当前的流行趋势 有些数据,存储数据库浪费,直接存储硬盘效率又低 这些场景都有一个共同点: 数据是又上游模块产生,上游模块,使用上游模块的数据计算.统计.分析,这个时候就可以使用消息系统,尤其是分布式消息系统! 2.Kafka的定义 What is Kafka:它是一个分布			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/3O6OK90.html" rel="bookmark">消息队列之kafka&lpar;集群搭建&rpar;</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				1.kafka集群搭建   kafka安装包下载地址: 官网网址:http://kafka.apache.org/quickstart 中文官网:http://kafka.apachecn.org/quickstart.html 在 windows 平台,从官网下载:http://mirrors.hust.edu.cn/apache/kafka/1.1.0/ 在 centos 平台:wgethttp://mirrors.hust.edu.cn/apache/kafka/1.1.0/kafka_2			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/0kPQeb3.html" rel="bookmark">&lbrack;Golang&rsqb; kafka集群搭建和golang版生产者和消费者</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				一.kafka集群搭建 至于kafka是什么我都不多做介绍了,网上写的已经非常详尽了. 1. 下载zookeeper  https://zookeeper.apache.org/releases.html 2. 下载kafka http://kafka.apache.org/downloads 3. 启动zookeeper集群(我的示例是3台机器,后面的kafka也一样,这里就以1台代指3台,当然你也可以只开1台) 1)配置zookeeper. 修改复制一份 zookeeper-3.4.13/c			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/0lAx1o3.html" rel="bookmark">Linux下kafka集群搭建过程记录</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				环境准备 zookeeper集群环境kafka是依赖于zookeeper注册中心的一款分布式消息对列,所以需要有zookeeper单机或者集群环境. 三台服务器: 172.16.18.198 k8s-n1 172.16.18.199 k8s-n2 172.16.18.200 k8s-n3 下载kafka安装包 http://kafka.apache.org/downloads 中下载,目前最新版本的kafka已经到2.2.0,我这里之前下载的是kafka_2.11-2.2.0.tgz. 安装ka			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/0xXG2N0.html" rel="bookmark">kafka集群搭建与api客户端创建</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				以前的消息队列(activeMQ)对于大数据吞吐率不行,但kafka很好的解决了此类问题,并且以集群的方式进行扩展,可谓相当强大: 集群搭建方式非常轻量级,只需将tar包拷贝到服务器,解压,修改配置文件即可: 1.tar -xzf kafka_2.9.2-0.8.1.1.tgz 2.修改配置文件: 节点1: vim config/server.properties broker.id=1 //所有集群节点中必须唯一 port=9092 //端口号(发送消息) log.dir=/tmp/kafka			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/02OnGp3.html" rel="bookmark">kafka 集群搭建</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				环境:ubuntu14.04 版本:jdk1.8,zookeeper 3.4.10,kafka 2.11 搭建步骤: 1. 搭建zookeeper集群 参考链接:zookeeper集群搭建 2. 下载kafka源码包,并上传到服务器 下载链接:http://mirrors.tuna.tsinghua.edu.cn/apache/kafka/1.0.0/kafka_2.11-1.0.0.tgz 3. 解压kafka源码包 tar -zxvf kafka_2.11-1.0.0.tgz 4. 创建ka			</div>
		</article>
	</section>
	
	</div><!-- /related -->
	


</div>
<!-- /main -->


<aside class="col-md-4">



	<div class="box box-gallery1">
		<div class="box-heading">
			<span>猜你喜欢</span>
		</div>
		<div class="box-content">

									<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/W0jz6A0.html" rel="bookmark" class="title">TCP&sol;IP、HTTP的区别</a>
					<div>
						TPC/IP协议是传输层协议,主要解决数据如何在网络中传输,而HTTP是应用层协议,主要解决如何包装数据.关于TCP/IP和HTTP协议的关系,网络有一段比较容易理解的介绍:&quot;我们在传输数据 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MLJjnB3.html" rel="bookmark" class="title">UILable的text设置中划线&lpar;删除线&rpar;</a>
					<div>
						NSDictionary *attribtDic = @{NSStrikethroughStyleAttributeName: [NSNumber numberWithInteger:NSUnderl ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0YgPNX4.html" rel="bookmark" class="title">Python中的操作符重载</a>
					<div>
						类可以重载python的操作符 操作符重载使我们的对象与内置的一样.__X__的名字的方法是特殊的挂钩(hook),python通过这 种特殊的命名来拦截操作符,以实现重载. python在计算操作符 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/3OaKDGM.html" rel="bookmark" class="title">软件测试的艺术</a>
					<div>
						设备的多样性.模拟器测试 性能规格,数据有效性,响应时间,数据完整性,容错性以及可恢复性. 系统测试的目的是验证软件符合其初始目标.不能将需求规格说明书作为系统测试设计测试用例的依据. 系统测试包含能 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/3r2Kjw3.html" rel="bookmark" class="title">android之MP3播放器</a>
					<div>
						布局文件 布局文件中设置了三个按钮分别来进行播放.暂停和继续播放 &lt;?xml version=&quot;1.0&quot; encoding=&quot;utf-8&quot;?&gt; &l ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MyjBLa0.html" rel="bookmark" class="title">【leetcode】Anagrams</a>
					<div>
						Anagrams Given an array of strings, return all groups of strings that are anagrams. Note: All inputs ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/3vKWb94.html" rel="bookmark" class="title">UVALive5135 - Mining Your Own Business&lpar;BCC&rpar;</a>
					<div>
						题目链接 题意:n条隧道由一些点连接而成,其中每条隧道链接两个连接点.任意两个连接点之间最多只有一条隧道.任务就是在这些连接点中,安装尽量少的太平井和逃生装置,使得不管哪个连接点倒塌,工人都能从其他太 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0kGQ6z0.html" rel="bookmark" class="title">js实现：&amp;&num;39&semi;w5-8&amp;&num;39&semi; -&amp;gt&semi; &sol;&Hat;&bsol;w&lbrace;5&comma;8&rcub;&dollar;&sol;</a>
					<div>
						HTML: &lt;!DOCTYPE html&gt; &lt;html lang=&quot;en&quot;&gt; &lt;head&gt; &lt;meta charset=&quot;UTF ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0jnrXg0.html" rel="bookmark" class="title">POJ 3034 Whac-a-Mole（DP）</a>
					<div>
						题目链接 题意 : 在一个二维直角坐标系中,有n×n个洞,每个洞的坐标为(x,y), 0 ≤ x, y &lt; n,给你一把锤子可以打到地鼠,最开始的时候,你可以把锤子放在任何地方,如果你上一秒在( ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/41BEOvM.html" rel="bookmark" class="title">canvas基础绘制-绚丽倒计时</a>
					<div>
						效果图: html: &lt;!DOCTYPE html&gt; &lt;html lang=&quot;en&quot;&gt; &lt;head&gt; &lt;meta charset=&quo ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0xro1z4.html" rel="bookmark" class="title">备份恢复（一）</a>
					<div>
						数据库可恢复性(备份)(冗余) 配置可恢复性 1.修改控制文件:先在sys权限下 修改参数文件. 修改完参数后,关闭数据库.再回到$oracle 按照修改的参数移动路径或更改文件名称. 再重启数据库. ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0kpOWL3.html" rel="bookmark" class="title">队列&mdash;&mdash;链表实现</a>
					<div>
						引言: 队列与栈的区别是队列是先进先出的数据结构.为了使得出入队列容易,可以引入队列头指针和队列尾指针. 分析描述: 队列的结点结构. typedef int QElemType; typedef s ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/3ZNAVZ3.html" rel="bookmark" class="title">Android&lowbar;编程规范与经常使用技巧</a>
					<div>
						一.Android编码规范 1.java代码中不出现中文,最多凝视中能够出现中文 2.局部变量命名.静态成员变量命名 仅仅能包括字母,单词首字母出第一个外.都为大写,其它字母都为小写 3.常量命名 仅 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0doEPrM.html" rel="bookmark" class="title">Test2 unit1</a>
					<div>
						自动安装虚拟机 yum install system-config-kickstart.noarch -y            ##安装kickstart system-config-kicksta ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MDyq7o0.html" rel="bookmark" class="title">前端性能优化（转）</a>
					<div>
						前端是庞大的,包括 HTML. CSS. Javascript.Image .Flash等等各种各样的资源.前端优化是复杂的,针对方方面面的资源都有不同的方式.那么,前端优化的目的是什么 ? 1. 从 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MzLyK83.html" rel="bookmark" class="title">c&num;调用c&plus;&plus;带有回调函数方法的实现</a>
					<div>
						最近完成了一个C++版本的对外sdk程序,其中有部分回调函数使用. C++程序使用时没有异常,但是在C#环境下使用时出了点问题,简单总结下. 感谢博客:http://blog.csdn.net/son ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MDyOWe0.html" rel="bookmark" class="title">汉诺塔3</a>
					<div>
						Description 约19世纪末,在欧州的商店中出售一种智力玩具,在一块铜板上有三根杆,最左边的杆上自上而下.由小到大顺序串着由64个圆盘构成的塔.目的是将最左边杆上的盘全部移到右边的杆上,条件是 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MPJNwP3.html" rel="bookmark" class="title">查看字体列表，查看字体名称</a>
					<div>
						$ fc-list 参考:http://www.yolinux.com/TUTORIALS/LinuxListOfFonts.html					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/351ZaK3.html" rel="bookmark" class="title">CCNA之网络地址转换（NAT）简介</a>
					<div>
						网络地址转换(NAT) 1．  在什么情况下使用NAT 需要连接到因特网,但主机没有全局唯一的IP地址: 更换的ISP要求对网络进行从新编址: 需要合并两个使用相同编址方案的内联网. 实现NAT的优缺 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/M6xaxJ3.html" rel="bookmark" class="title">《编写高质量代码188个建议》读书笔记</a>
					<div>
						第一章  JavaScript语言基础 一.代码的执行速度决定的因素是: 1.代码量少,运行速度不一定快 2.代码量多,速度也不一定慢 建议1:警惕Unicode代码 javascript代码每个字符 ...					</div>
				</div>
			</div>
			
		</div>
	</div>

	<div class="box">
		<div class="box-heading">
			<span>专题</span>
		</div>
		<div class="box-content">
					</div>
	</div>

	<div class="box box-gallery3">
		<div class="box-heading">
			<span>随机推荐</span>
		</div>
		<div class="box-content clearfix">


		</div>
	</div>

</aside>
      </div>
    </div>
    <!-- /.container -->

    <div id="copyright">
      <div class="pull-left">
        &#169; 2024 憋错料        | info#biecuoliao.com        | 10 q. 0.029 s.
      </div>

    </div>

  </div><!--/.wrapper -->


  <div style=" display: none ";>
  </div>


</body>
</html>
